{
  "format_version": "1.10.0",
  "animation_controllers": {
    "controller.animation.cc_alien.alien_emp.stage_controller": {
      "initial_state": "default",
      "states": {
        "default": {
          "animations": ["off"],
          "transitions": [
            {
              "destroy": "(query.property('cc_alien:crashed'))"
            },
            {
              "on_active": "q.property('cc_alien:on_off')"
            }
          ]
        },
        "on_active": {
          "animations": ["turning_on"],
          "transitions": [
            {
              "active": "query.all_animations_finished"
            }
          ]
        },
        "active": {
          "animations": ["on"],
          "transitions": [
            {
              "destroy": "(query.property('cc_alien:crashed'))"
            },
            {
              "on_deactivate": "!q.property('cc_alien:on_off')"
            }
          ]
        },
        "on_deactivate": {
          "animations": ["turning_off"],
          "transitions": [
            {
              "default": "query.all_animations_finished"
            }
          ]
        },
        "destroy": {
          "animations": ["breaking", "turning_off"],
          "transitions": [
            {
              "destroyed": "query.any_animation_finished"
            }
          ]
        },
        "destroyed": {
          "animations": ["broken", "off"]
        }
      }
    },
    "controller.animation.cc_alien.alien_emp.work": {
      "initial_state": "default",
      "states": {
        "default": {
          "animations": ["particle_off"],
          "transitions": [
            {
              "destroy": "(query.property('cc_alien:crashed'))"
            },
            {
              "work": "(query.property('cc_alien:on_off')) && !query.property('cc_alien:crashed')"
            }
          ]
        },
        "work": {
          "animations": ["particle_on"],
          "transitions": [
            {
              "destroy": "(query.property('cc_alien:crashed'))"
            },
            {
              "default": "(!query.property('cc_alien:on_off'))"
            }
          ]
        },
        "destroy": {}
      }
    }
  }
}
